Subject: Re: [bug#36258] [PATCH 1/2] gnu: monero: Update to 0.14.1.0.

From: swedebugia <[email-masked]>
Date: Tue, 25 Jun 2019 13:32:15 +0200

On 2019-06-25 12:07, Guillaume LE VAILLANT wrote:
> 
> Guillaume LE VAILLANT a écrit :
> 
>> swedebugia a écrit :
>>
>>> Tests completed succesfully. I saw this note:
>>>
>>> +                       ;; TODO: Find why portability_wallet test fails
>>> +                       ;; Maybe the Boost version used to create the test
>>> +                       ;; wallet and the current Boost version are not
>>> +                       ;; completely compatible?
>>> +                       "Serialization.portability_wallet"
>>> +                       "is_hdd.linux_os_root")
>>>
>>> Did you report this upstream?
>>> Could you include the failed test also (commented below the comment)
>>>
>>> Otherwise LGTM :)
>>>
>>> PS: I started working on Aeon (fork of monero) since they are very similar it
>>> should be "easy" to package now that you got monero working again.
>>
>> I'm not entirely sure why the "Serialization.portability_wallet" test
>> fails. It might not be related to compatibility between Boost versions,
>> because compiling with the same Boost version in two different ways
>> gives different results.
>>
>> When I compile using 'guix build monero', the test fails.
>> ---
>> /tmp/guix-build-monero-0.14.1.0.drv-0/monero-0.14.1.0-checkout/tests/unit_tests/serialization.cpp:633: Failure
>> Value of: r
>>    Actual: false
>> Expected: true
>> ---
>>
>> When I compile by hand using 'guix environment --pure monero', the test
>> passes.
> 
> I found out why the "Serialization.portability_wallet" failed; it was
> because of missing write permissions on some test files.
> 
> Updated patch with the test enabled attached.
> 

Good catch :D

I do not have commit access so someone else will have to commit this.

I'm not going to review monero-gui because qt is too heavy for my 
mobile bandwidth.

-- 
Cheers Swedebugia